create or replace function test_data() returns void as $$
declare
   prog integer;
   oid integer;
   i integer;
begin
   select nextval('headers_id_seq') into prog;
   insert into headers (id,uid,type) values (prog,0,'program');
   insert into programs (id,script) values (prog,E'print "Hello, world!\\n";');
   insert into program_inputs (id,label,type) values (prog,'afile','file');
   insert into program_outputs (id,label,type) values (prog,'afile','file');
   for i in 1 .. 10 loop
        select nextval('headers_id_seq') into oid;
        insert into headers (id,uid,type) values (oid,0,'execution');
        insert into executions (id,program) values (oid,prog);
   end loop;
end;
$$ language plpgsql;

insert into users (uid,name,default_gr,default_gw,default_wr,default_ww,auth_secret) values (1,'fred',true,true,true,true,'4557ca660bca40225ba58749d212d65c650d01ed');

insert into group_members(uid,gid) values (1,0);

insert into headers (id,uid,type) values (500,0,'program');
insert into programs (id,script) values (500,E'print "Hello, world!";\n');
insert into headers (id,uid,type) values (501,0,'execution');
insert into executions (id,program) values (501,500);


insert into headers (type) values ('program');
insert into programs (id,script) values (2,'test');
insert into program_inputs (id,label,type) values (2,'file','file');
insert into program_outputs (id,label,type) values (2,'file','file');

insert into headers (uid,type) values (0,'execution');

insert into executions (id,program,status) values (5,2,'waiting');
insert into executions (id,program,status) values (6,2,'waiting');
insert into executions (id,program,status) values (7,2,'waiting');
insert into executions (id,program,status) values (8,2,'waiting');
insert into executions (id,program,status) values (9,2,'waiting');



